import React from "react";
import { Playback } from "../../../audio/Playback";
import { IBodyProps } from "./IBodyProps";
import RoomContext from "../../../contexts/RoomContext";
interface IState {
    error?: boolean;
    playback?: Playback;
}
export default class MAudioBody extends React.PureComponent<IBodyProps, IState> {
    static contextType: React.Context<import("../../structures/RoomView").IRoomState & {
        threadId?: string;
    }>;
    context: React.ContextType<typeof RoomContext>;
    state: IState;
    componentDidMount(): Promise<void>;
    componentWillUnmount(): void;
    protected get showFileBody(): boolean;
    render(): React.ReactNode;
}
export {};
